Subject: [bug#57756] [PATCH 2/2] * gnu/packages/wm.scm: Add sbcl-stumpwm-notify

From: Christopher Baines <[email-masked]>
Date: Fri, 16 Sep 2022 12:25:37 +0200

Trev <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>>> ---
>>>  gnu/packages/wm.scm | 24 ++++++++++++++++++++++++
>>>  1 file changed, 24 insertions(+)
>>
>> Hi Trevor,
>>
>> The commit message for adding a package like this one would generally
>> look like:
>>
>> gnu: Add sbcl-stumpwm-notify.
>>
>> * gnu/packages/wm.scm (sbcl-stumpwm-notify): New variable.
>>
>>
>> You're mostly there.
>>
>
> Thank you for this feedback! I had been following the guidelines
> described in the documentation:
>
> https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html
>
> It states to write patches in the "changelog" format described here:
>
> https://www.gnu.org/prep/standards/html_node/Change-Logs.html#Change-Logs
>
> Is there documentation somewhere that might help me adapt my strategy
> for future contributions? I do prefer the tighter format you're asking
> for :)

I'm no expert on the changelog format, but I think you were just missing
the descriptive first line of the commit.

Looking at how other commits are written is the only recommendation I
can give for writing commit messages. Also don't worry about it too much
:)

Chris